#include <stdio.h>
#include <stdlib.h>

int main()
{
    long int N,i;
    scanf("%d",&N);
    long int A[N];
    float P[N],C[i];
    for(long int i=0;i<N;i++){
    scanf("%d %f",&A[i],&P[i]);
    }
    
    return 0;
}